Skip to main content
POST
/
v1
/
dict
/
refund-requests
Create a Refund Request
curl --request POST \
  --url https://plugin-pix-indirect.api.lerian.net/v1/dict/refund-requests \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transactionId": "E12345678202411241430ABCDEFGHIJK",
  "amount": "150.00",
  "infractionId": "019c96a0-0c98-799e-9135-4613ca469ad8"
}
'
{ "id": "019c96a0-0c6b-7166-8510-b262039b4838", "transactionId": "E12345678202411241430ABCDEFGHIJK", "amount": "150.00", "status": "OPEN", "analysisResult": "TOTALLY_ACCEPTED", "createdAt": "2024-01-15T10:30:00Z", "updatedAt": "2024-01-15T10:30:00Z" }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
transactionId
string
required

Original Pix transaction ID.

Example:

"E12345678202411241430ABCDEFGHIJK"

amount
string
required

Refund amount.

Example:

"150.00"

infractionId
string

Related infraction report ID.

Example:

"019c96a0-0c98-799e-9135-4613ca469ad8"

Response

Refund request created successfully.

id
string

Unique identifier.

Example:

"019c96a0-0c6b-7166-8510-b262039b4838"

transactionId
string

Original transaction ID.

Example:

"E12345678202411241430ABCDEFGHIJK"

amount
string

Refund amount.

Example:

"150.00"

status
enum<string>

Current status.

Available options:
OPEN,
CLOSED,
CANCELLED
Example:

"OPEN"

analysisResult
string

Analysis result.

Example:

"TOTALLY_ACCEPTED"

createdAt
string<date-time>
Example:

"2024-01-15T10:30:00Z"

updatedAt
string<date-time>
Example:

"2024-01-15T10:30:00Z"